#######################################################################
# GLOBAL MACROS 
#######################################################################

package Global


#######################################################################
# page content
#
# these should always be overridden for each page/collection 
#######################################################################

_content_ {<center><blink><b><font size="7" color="#FF0000">UNDEFINED PAGE</font></b></blink></center>}
_imagethispage_ {}
_imagecollection_ {}

# this is the total width of the page - i.e. the width
# of any title bars etc. that go all the way across
_pagewidth_ {537}


#######################################################################
# Macros whose values are set from within the server at runtime. These 
# are here only for reference and to set default values if required.           
#######################################################################

#_gwcgi_ {http://nowhere.nzdl.org/cgi-bin/gw}
#_httpprefix_ {http://nowhere.nzdl.org}

_cookie_ {}
_g_ {00}
_collection_ {}
_compressedoptions_ {}
_querystring_ {}
_urlsafequerystring_ {}
_notdetached_ {0}
_istitle_ {0}

_httparrowprevious_ {}
_httparrownext_ {}
_toc_ {}
_navigationbar_ {}


#######################################################################
# navigation bar
#
#######################################################################

# the spacer image - the width of this is set from server
_imagespacer_ {<img 
src="_httpicontspace_" width="_widthtspace_" height="_heighttspace_">}
_imagespacer_[version=text] {<br>
}

# image macros for all the classifications currently supported by
# this receptionist. i.e. title, author, subject, series, date,
# howto, and organization

_imagesearch_ {<a href="_httpquery_" 
    onMouseover = "img\_on('search')"
    onMouseout = "img\_off('search')"><img name="search"
        src="_httpicontsrchof_" width="_widthtsrchx_" height="_heighttsrchx_" 
        border="0" alt="_textimagesearch_"></a>}
_imagesearch_[version=text] {<a href="_httpquery_">_textimagesearch_</a><br>
}
_imagesearch_[style=htmlonly] {<img src="_httpicontspace_" alt="" width="_widthtsrchx_" height="_heighttsrchx_">}
_searchwidth_ {_widthtsrchx_}


_imagetitle_ {<a href="_httpbrowsetitles_"
    onMouseover = "img\_on('titles')" 
    onMouseout = "img\_off('titles')"><img name="titles" 
        src="_httpiconttitlof_" width=_widthttitlx_ height=_heightttitlx_ 
        border=0 alt="_textimagebrowsetitles_"></a>}
_imagetitle_[version=text] {<a href="_httpbrowsetitles_">_textimagebrowsetitles_</a><br>
}
_titlewidth_ {_widthttitlx_}


_imageauthor_ {<a href="_httpbrowseauthors_"
    onMouseover = "img\_on('authors')" 
    onMouseout = "img\_off('authors')"><img name="authors" 
        src="_httpicontauthof_" width=_widthtauthx_ height=_heighttauthx_ 
        border=0 alt="_textimagebrowseauthors_"></a>}
_imageauthor_[version=text] {<a href="_httpbrowseauthors_">_textimagebrowseauthors_</a><br>
}
_authorwidth_ {_widthtauthx_}


_imageseries_ {<a href="_httpbrowseseries_"
    onMouseover = "img\_on('series')" 
    onMouseout = "img\_off('series')"><img name="series" 
        src="_httpicontserof_" width="_widthtserx_" height="_heighttserx_" 
        border="0" alt="_textimagebrowseseries_"></a>}
_imageseries_[version=text] {<a href="_httpbrowseseries_">_textimagebrowseseries_</a><br>
}
_serieswidth_ {_widthtserx_}


_imagedate_ {<a href="_httpbrowsedates_"
    onMouseover = "img\_on('dates')" 
    onMouseout = "img\_off('dates')"><img name="dates" 
        src="_httpicontdateof_" width="_widthtdatex_" height="_heighttdatex_" 
        border="0" alt="_textimagebrowsedates_"></a>}
_imagedate_[version=text] {<a href="_httpbrowsedates_">_textimagebrowsedates_</a><br>
}
_datewidth_ {_widthtdatex_}


_imagesubject_ {<a href="_httpbrowsesubjects_"
    onMouseover = "img\_on('subjects')" 
    onMouseout = "img\_off('subjects')"><img name="subjects" 
        src="_httpicontsubjof_" width="_widthtsubjx_" height="_heighttsubjx_" 
        border="0" alt="_textimagebrowsesubjects_"></a>}
_imagesubject_[version=text] {<a href="_httpbrowsesubjects_">_textimagebrowsesubjects_</a><br>
}
_subjectwidth_ {_widthtsubjx_}


_imageorganization_ {<a href="_httpbrowseorg_"
    onMouseover = "img\_on('org')" 
    onMouseout = "img\_off('org')"><img name="org" 
        src="_httpicontorgof_" width="_widthtorgx_" height="_heighttorgx_" 
        border="0" alt="_textimagebrowseorg_"></a>}
_imageorganization_[version=text] {<a href="_httpbrowseorg_">_textimagebrowseorg_</a><br>
}
_organizationwidth_ {_widthtorgx_}


_imagehowto_ {<a href="_httpbrowsehow_"
    onMouseover = "img\_on('how')" 
    onMouseout = "img\_off('how')"><img name="how" 
        src="_httpiconthowof_" width="_widththowx_" height="_heightthowx_" 
        border="0" alt="_textimagebrowsehow_"></a>}
_imagehowto_[version=text] {<a href="_httpbrowsehow_">_textimagebrowsehow_</a><br>
}
_howtowidth_ {_widththowx_}


#######################################################################
# scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. this macro should be overridden for those collections/pages
# needing links different from the default (i.e. about, home, help, 
# and preferences.

_javalinks_ {_imageabout__imagehome__imagehelp__imagepref_}
_javalinks_ [version=text] {
_imageabout_<br>
_imagehome_<br>
_imagehelp_<br>
_imagepref_<br>
}

# the javaimages macros should contain _javaX_ macros for each javascript
# image link within the page.

# those java image links appearing at top right of page
_javaimagesheader_ {_javaabout__javahome__javahelp__javapref_}
_javaimagesheader_ [version=text] {}

# those java image links appearing in navigation bar
# this macro should be set when the navigation bar is set
# up at runtime
_javaimagesnavbar_ {}

# any other java image links appearing in page
_javaimagescontent_ {}

_javaabout_ {
	about\_on = new Image(_widthtaboutx_, _heighttaboutx_);
	about\_on.src = "_httpicontabouton_";
	about\_off = new Image(_widthtaboutx_, _heighttaboutx_);
	about\_off.src = "_httpicontaboutof_";
}

_javahome_ {
	home\_on = new Image(_widthchomex_, _heightchomex_);          
	home\_on.src = "_httpiconchomeon_";		        
	home\_off = new Image(_widthchomex_, _heightchomex_);          
	home\_off.src = "_httpiconchomeof_";             
}

_javahelp_ {
	help\_on = new Image(_widthchelpx_, _heightchelpx_);
	help\_on.src = "_httpiconchelpon_";
	help\_off = new Image(_widthchelpx_, _heightchelpx_);
	help\_off.src = "_httpiconchelpof_";
}

_javapref_ {
	pref\_on = new Image(_widthcprefx_, _heightcprefx_);          
	pref\_on.src = "_httpiconcprefon_";
	pref\_off = new Image(_widthcprefx_, _heightcprefx_);
	pref\_off.src = "_httpiconcprefof_"; 
}

_javasearch_ {
	search\_on = new Image(_widthtsrchx_, _heighttsrchx_);          
	search\_on.src = "_httpicontsrchon_";
	search\_off = new Image(_widthtsrchx_, _heighttsrchx_);          
	search\_off.src = "_httpicontsrchof_";
}

_javatitle_ {
	titles\_on = new Image(_widthttitlx_, _heightttitlx_);
	titles\_on.src = "_httpiconttitlon_";
	titles\_off = new Image(_widthttitlx_, _heightttitlx_);
	titles\_off.src = "_httpiconttitlof_";
}

_javaauthor_ {
	authors\_on = new Image(_widthtauthx_, _heighttauthx_);
	authors\_on.src = "_httpicontauthon_";
	authors\_off = new Image(_widthtauthx_, _heighttauthx_);
	authors\_off.src = "_httpicontauthof_";
}

_javaseries_ {
	series\_on = new Image(_widthtserx_, _heighttserx_);          
	series\_on.src = "_httpicontseron_";
	series\_off = new Image(_widthtserx_, _heighttserx_);          
	series\_off.src = "_httpicontserof_";
}

_javadate_ {
	dates\_on = new Image(_widthtdatex_, _heighttdatex_);          
	dates\_on.src = "_httpicontdateon_";
	dates\_off = new Image(_widthtdatex_, _heighttdatex_);          
	dates\_off.src = "_httpicontdateof_";	 		
}

_javasubject_ {
	subjects\_on = new Image(_widthtsubjx_, _heighttsubjx_);          
	subjects\_on.src = "_httpicontsubjon_";
	subjects\_off = new Image(_widthtsubjx_, _heighttsubjx_);          
	subjects\_off.src = "_httpicontsubjof_";	 		
}

_javahowto_ {
	how\_on = new Image(_widththowx_, _heightthowx_);          
	how\_on.src = "_httpiconthowon_";
	how\_off = new Image(_widththowx_, _heightthowx_);          
	how\_off.src = "_httpiconthowof_";	 		
}

_javaorganization_ {
	org\_on = new Image(_widthtorgx_, _heighttorgx_);          
	org\_on.src = "_httpicontorgon_";
	org\_off = new Image(_widthtorgx_, _heighttorgx_);          
	org\_off.src = "_httpicontorgof_";	 		
}

_javadetach_ {
	detach\_on = new Image(_widthedtchx_, _heightedtchx_); 
	detach\_on.src = "_httpiconedtchon_";
	detach\_off = new Image(_widthedtchx_, _heightedtchx_); 
	detach\_off.src = "_httpiconedtchof_";
}

_javaexpandcontents_ {
	expcon\_on = new Image(_widtheexpcx_, _heighteexpcx_);
	expcon\_on.src = "_httpiconeexpcon_";
	expcon\_off = new Image(_widtheexpcx_, _heighteexpcx_);
	expcon\_off.src = "_httpiconeexpcof_";
}

_javacontractcontents_ {
	concon\_on = new Image(_widtheconcx_, _heighteconcx_);
	concon\_on.src = "_httpiconeconcon_";
	concon\_off = new Image(_widtheconcx_, _heighteconcx_);
	concon\_off.src = "_httpiconeconcof_";
}

_javaexpandtext_ {
	alltext\_on = new Image(_widthealltx_, _heightealltx_);
	alltext\_on.src = "_httpiconeallton_";
	alltext\_off = new Image(_widthealltx_, _heightealltx_);
	alltext\_off.src = "_httpiconealltof_";
}

_javacontracttext_ {
	thissec\_on = new Image(_widthetsecx_, _heightetsecx_);
	thissec\_on.src = "_httpiconetsecon_";
	thissec\_off = new Image(_widthetsecx_, _heightetsecx_);
	thissec\_off.src = "_httpiconetsecof_";
}

_javacontinue_ {
	cont\_on = new Image(_widthcontx_, _heightcontx_);
	cont\_on.src = "_httpiconconton_";
	cont\_off = new Image(_widthcontx_, _heightcontx_);
	cont\_off.src = "_httpiconcontoff_";
}


#######################################################################
# general web macros 
#######################################################################

_mailaddr_ {nzdl@nzdl.org}


#######################################################################
# link macros 
#######################################################################

_linkotherversion_ {
<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&v=1&g=_g_">
_textgotext_
</a>
}

_linkotherversion_[version=text] {
<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&v=0&g=_g_">
_textgographics_
</a>
}

_linkotherlanguage_ {
<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&l=mi&g=_g_">
_textgomaori_
</a>
}

_linkotherlanguage_[language=mi] {
<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&l=e&g=_g_">
_textgoenglish_
</a>
}


#######################################################################
# http macros 
#
# These contain the url without any quotes
#######################################################################

_httpimg_ {_httpprefix_/images}

_httpcollection_{_httpprefix_/collect/_collection_}

_httppagex_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=p&p=_1_}
_httppageabout_ {_httppagex_(about)}
_httppagehome_ {_httppagex_(home)}
_httppagehelp_ {_httppagex_(help)}
_httppagepref_ {_httppagex_(preferences)}

_httpgreenstone_ {_httppagex_(gsdl)}


_httpquery_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=q}
_httpqueryresults_ {_httpquery_}
_httpbrowse_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=b}
_httptext_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=t}
_httpbrowsetitles_ {_httpbrowse_&d=T.1}
_httpbrowseauthors_ {_httpbrowse_&d=A.1}
_httpbrowseseries_ {_httpbrowse_&d=C.1}
_httpbrowsedates_ {_httpbrowse_&d=D.1}

_httpiconchalk_ {_httpimg_/chalk.gif}
_widthchalk_ {2000}
_heightchalk_ {10}

_httpiconchelpof_ {_httpimg_/chelpof.gif}
_httpiconchelpof_ [language=mi] {_httpimg_/mchelpof.gif}
_httpiconchelpon_ {_httpimg_/chelpon.gif}
_httpiconchelpon_ [language=mi] {_httpimg_/mchelpon.gif}
_widthchelpx_ {38}
_widthchelpx_ [language=mi] {59}
_heightchelpx_ {20}

_httpiconchomeof_ {_httpimg_/chomeof.gif}
_httpiconchomeof_ [language=mi] {_httpimg_/mchomeof.gif}
_httpiconchomeon_ {_httpimg_/chomeon.gif}
_httpiconchomeon_ [language=mi] {_httpimg_/mchomeon.gif}
_widthchomex_ {41}
_widthchomex_ [language=mi] {52}
_heightchomex_ {20}

_httpiconclsdfldr_ {_httpimg_/clsdfldr.gif}
_widthclsdfldr_ {23}
_heightclsdfldr_ {15}

_httpiconcontoff_ {_httpimg_/contoff.gif}
_httpiconconton_ {_httpimg_/conton.gif}
_widthcontx_ {76}
_heightcontx_ {17}

_httpiconcprefof_ {_httpimg_/cprefof.gif}
_httpiconcprefof_ [language=mi] {_httpimg_/mcprefof.gif}
_httpiconcprefon_ {_httpimg_/cprefon.gif}
_httpiconcprefon_ [language=mi] {_httpimg_/mcprefon.gif}
_widthcprefx_ {85}
_widthcprefx_ [language=mi] {101}
_heightcprefx_ {20}

_httpicondivb_ {_httpimg_/divb.gif}
_widthdivb_ {_pagewidth_}
_heightdivb_ {17}

_httpiconealltof_ {_httpimg_/ealltof.gif}
_httpiconealltof_ [language=mi] {_httpimg_/mealltof.gif}
_httpiconeallton_ {_httpimg_/eallton.gif}
_httpiconeallton_ [language=mi] {_httpimg_/meallton.gif}
_widthealltx_ {44}
_widthealltx_ [language=mi] {40}
_heightealltx_ {30}

_httpiconeconcof_ {_httpimg_/econcof.gif}
_httpiconeconcon_ {_httpimg_/econcon.gif}
_widtheconcx_ {65}
_heighteconcx_ {30}

_httpiconedtchof_ {_httpimg_/edtchof.gif}
_httpiconedtchof_ [language=mi] {_httpimg_/medtchof.gif}
_httpiconedtchon_ {_httpimg_/edtchon.gif}
_httpiconedtchon_ [language=mi] {_httpimg_/medtchon.gif}
_widthedtchx_ {45}
_widthedtchx_ [language=mi] {54}
_heightedtchx_ {30}

_httpiconeexpcof_ {_httpimg_/eexpcof.gif}
_httpiconeexpcon_ {_httpimg_/eexpcon.gif}
_widtheexpcx_ {62}
_heighteexpcx_ {30}

_httpiconetsecof_ {_httpimg_/etsecof.gif}
_httpiconetsecof_ [language=mi] {_httpimg_/metsecof.gif}
_httpiconetsecon_ {_httpimg_/etsecon.gif}
_httpiconetsecon_ [language=mi] {_httpimg_/metsecon.gif}
_widthetsecx_ {61}
_widthetsecx_ [language=mi] {51}
_heightetsecx_ {30}

_httpicongsdl_ {_httpimg_/gsdl.gif}
_widthgsdl_ {140}
_heightgsdl_ {77}

_httpiconglob_ {_httpimg_/glob.gif}
_widthglob_ {72}
_heightglob_ {73}

_httpiconhhelp_ {_httpimg_/h\_help.gif}
_widthhhelp_ {200}
_heighthhelp_ {57}

_httpiconhsearch_ {_httpimg_/h\_search.gif}
_httpiconhsearch_ [language=mi] {_httpimg_/mh\_srch.gif}
_widthhsearch_ {200}
_heighthsearch_ {57}

_httpiconitext_ {_httpimg_/itext.gif}
_widthitext_ {16}
_heightitext_ {21}

_httpiconless_ {_httpimg_/less.gif}
_widthless_ {30}
_heightless_ {16}

_httpiconmore_ {_httpimg_/more.gif}
_widthmore_ {30}
_heightmore_ {16}

_httpiconopenbook_ {_httpimg_/openbook.gif}
_widthopenbook_ {28}
_heightopenbook_ {23}

_httpiconopenfldr_ {_httpimg_/openfldr.gif}
_widthopenfldr_ {23}
_heightopenfldr_ {15}

_httpiconqryresb_ {_httpimg_/qryresb.gif}
_httpiconqryresb_ [language=mi] {_httpimg_/mqryresb.gif}
_widthqryresb_ {_pagewidth_}
_heightqryresb_ {17}

_httpiconsmtext_ {_httpimg_/smtext.gif}
_widthsmtext_ {23}
_heightsmtext_ {15}

_httpiconspacer_ {_httpimg_/spacer.gif}
_widthspacer_ {42}
_heightspacer_ {4}

_httpicontabspace_ {_httpimg_/tabspace.gif}
_widthtabspace_ {23}
_heighttabspace_ {15}

_httpicontauthgr_ {_httpimg_/tauthgr.gif}
_httpicontauthof_ {_httpimg_/tauthof.gif}
_httpicontauthon_ {_httpimg_/tauthon.gif}
_widthtauthx_ {110}
_heighttauthx_ {17}

_httpicontsergr_ {_httpimg_/tsergr.gif}
_httpicontsergr_ [language=mi] {_httpimg_/mtsergr.gif}
_httpicontserof_ {_httpimg_/tserof.gif}
_httpicontserof_ [language=mi] {_httpimg_/mtserof.gif}
_httpicontseron_ {_httpimg_/tseron.gif}
_httpicontseron_ [language=mi] {_httpimg_/mtseron.gif}
_widthtserx_ {87}
_widthtserx_ [language=mi] {192}
_heighttserx_ {17}

_httpicontdategr_ {_httpimg_/tdategr.gif}
_httpicontdategr_ [language=mi] {_httpimg_/mtdategr.gif}
_httpicontdateof_ {_httpimg_/tdateof.gif}
_httpicontdateof_ [language=mi] {_httpimg_/mtdateof.gif}
_httpicontdateon_ {_httpimg_/tdateon.gif}
_httpicontdateon_ [language=mi] {_httpimg_/mtdateon.gif}
_widthtdatex_ {87}
_heighttdatex_ {17}

_httpicontsubjgr_ {_httpimg_/tsubjgr.gif}
_httpicontsubjon_ {_httpimg_/tsubjon.gif}
_httpicontsubjof_ {_httpimg_/tsubjof.gif}
_widthtsubjx_ {87}
_heighttsubjx_ {17}

_httpicontorggr_{_httpimg_/torggr.gif}
_httpicontorgon_{_httpimg_/torgon.gif}
_httpicontorgof_{_httpimg_/torgof.gif}
_widthtorgx_ {109}
_heighttorgx_ {17}

_httpiconthowgr_{_httpimg_/thowgr.gif}
_httpiconthowon_{_httpimg_/thowon.gif}
_httpiconthowof_{_httpimg_/thowof.gif}
_widththowx_ {87}
_heightthowx_ {17}

_httpicontsrchgr_ {_httpimg_/tsrchgr.gif}
_httpicontsrchgr_ [language=mi] {_httpimg_/mtsrchgr.gif}
_httpicontsrchof_ {_httpimg_/tsrchof.gif}
_httpicontsrchof_ [language=mi] {_httpimg_/mtsrchof.gif}
_httpicontsrchon_ {_httpimg_/tsrchon.gif}
_httpicontsrchon_ [language=mi] {_httpimg_/mtsrchon.gif}
_widthtsrchx_ {87}
_heighttsrchx_ {17}

_httpiconttitlgr_ {_httpimg_/ttitlgr.gif}
_httpiconttitlof_ {_httpimg_/ttitlof.gif}
_httpiconttitlon_ {_httpimg_/ttitlon.gif}
_widthttitlx_ {87}
_heightttitlx_ {17}

_httpicontspace_ {_httpimg_/tspace.gif}
# _widthtspace_ is set from server
_widthtspace_ {}
#_widthtspace_ {138}
#_widthtspace_ [language=mi] {85}
#_widthtspace2_ {115}
_heighttspace_ {17}

_httpiconwarning_ {_httpimg_/warning.gif}
_widthwarning_ {30}
_heightwarning_ {29}

_httpiconhabout_ {_httpimg_/h\_about.gif}
_widthhabout_ {200}
_heighthabout_ {57}

_httpiconhhome_ {_httpimg_/h\_home.gif}
_widthhhome_ {200}
_heighthhome_ {57}

_httpiconhname_ {_httpimg_/h\_name.gif}
_widthhname_ {200}
_heighthname_ {57}

_httpicontaboutof_ {_httpimg_/taboutof.gif}
_httpicontabouton_ {_httpimg_/tabouton.gif}
_widthtaboutx_ {50}
_heighttaboutx_ {20}

_httpicontnamegr_ {_httpimg_/tnamegr.gif}
_httpicontnameof_ {_httpimg_/tnameof.gif}
_httpicontnameon_ {_httpimg_/tnameon.gif}
_widthtnamex_ {95}
_heighttnamex_ {17}

_httpiconarrrght_ {_httpimg_/arrrght.gif}
_widtharrrght_ {23}
_heightarrrght_ {15}

_httpiconbook_ {_httpimg_/book.gif}
_widthbook_ {18}
_heightbook_ {11}

_httpiconbshelf_ {_httpimg_/bshelf.gif}
_widthbshelf_ {20}
_heightbshelf_ {16}


#######################################################################
# Icons 
#
# Must not include links (so they can be used as links). If you want to
# include links use _image
#######################################################################

_iconmore_{<img src="_httpiconmore_" align=absbottom 
width="_widthmore_" height="_heightmore_" border="0" alt="_textnext_">}
_iconmore_[version=text] {_textnext2_}

_iconalphmore_{<img src="_httpiconmore_" align=absbottom 
width="_widthmore_" height="_heightmore_" border="0" alt="_textnext3_">}
_iconalphmore_[version=text] {_textnext4_}

_iconnext_{<img src="_httpiconmore_" align=absbottom 
width="_widthmore_" height="_heightmore_" border="0">}
_iconnext_[version=text] {}

_iconless_{<img src="_httpiconless_" align=absbottom 
width="_widthless_" height="_heightless_" border="0" alt="_textprev_">}
_iconless_[version=text] {_textprev2_}

_iconalphless_{<img src="_httpiconless_" align=absbottom 
width="_widthless_" height="_heightless_" border="0" alt="_textprev3_">}
_iconalphless_[version=text] {_textprev4_}

_iconprev_{<img src="_httpiconless_" align=absbottom 
width="_widthless_" height="_heightless_" border="0">}
_iconprev_[version=text] {}

_icontabsearchgreen_ {<img 
src="_httpicontsrchgr_" height=_heighttsrchx_ width=_widthtsrchx_ alt="_texticontabsearchgreen_" border=0>}
_icontabsearchgreen_[version=text] {_texticontabsearchgreen_}

_icontabtitlegreen_ {<img 
src="_httpiconttitlgr_" height=_heightttitlx_ width=_widthttitlx_ alt="_texticontabtitlegreen_" border=0>}
_icontabtitlegreen_[version=text] {_texticontabtitlegreen_}

_icontabauthorgreen_ {<img 
src="_httpicontauthgr_" height=_heighttauthx_ width=_widthtauthx_ alt="_texticontabauthorgreen_" border=0>}
_icontabauthorgreen_[version=text] {_texticontabauthorgreen_}

_icontabseriesgreen_ {<img 
src="_httpicontsergr_" height="_heighttserx_" width="_widthtserx_" alt="_texticontabseriesgreen_" border="0">}
_icontabseriesgreen_[version=text] {_texticontabseriesgreen_}

_icontabdategreen_ {<img 
src="_httpicontdategr_" height="_heighttdatex_" width="_widthtdatex_" alt="_texticontabdategreen_" border="0">}
_icontabdategreen_[version=text] {_texticontabdategreen_}

_icontabsubjectgreen_ {<img 
src="_httpimg_/tsubjgr.gif" height="17" width="87" alt="_texticontabsubjectgreen_" border="0">}
_icontabsubjectgreen_[version=text] {_texticontabsubjectgreen_}

_icontabhowtogreen_ {<img 
src="_httpimg_/thowgr.gif" height="17" width="87" alt="_texticontabhowgreen_" border="0">}
_icontabhowtogreen_[version=text] {_texticontabhowgreen_}

_icontaborganizationgreen_ {<img 
src="_httpimg_/torggr.gif" height="17" width="109" alt="_texticontaborggreen_" border="0">}
_icontaborganizationgreen_[version=text] {_texticontaborggreen_}

_iconblankbar_ {<center><img src="_httpicondivb_" width="_widthdivb_" height="_heightdivb_"></center>}
_iconblankbar_[version=text] {<br><hr><br>}

_icontext_ {<img border=0 align=absmiddle src="_httpiconitext_" width="_widthitext_" height="_heightitext_" alt="_texticontext_">}
_icontext_[version=text] {_texticontext_}

_iconsmalltext_ {<img src="_httpiconsmtext_" border="0" width="_widthsmtext_" height="_heightsmtext_" alt="_texticonsmalltext_">}
_iconsmalltext_ [version=text] {<small><b>_texticonsmalltext2_</b></small>}

_iconclosedfolder_ {<img src="_httpiconclsdfldr_" border="0" width="_widthclsdfldr_" height="_heightclsdfldr_" alt="_texticonclosedfolder_">}
_iconclosedfolder_ [version=text] {<small><b>_texticonclosedfolder2_</b></small>}

_iconopenfolder_ {<img src="_httpiconopenfldr_" border="0" width="_widthopenfldr_" height="_heightopenfldr_" alt="_texticonopenfolder_">}
_iconopenfolder_ [version=text] {<small><b>_texticonopenfolder2_</b></small>}

_iconclosedbook_ {<img src="_httpiconbook_" width=_widthbook_ height=_heightbook_ border=0 alt="_texticonclosedbook_">}
_iconclosedbook_ [version=text] {<small><b>_texticonclosedbook_: </b></small>}

_iconopenbook_ {<img src="_httpiconopenbook_" width="_widthopenbook_" height="_heightopenbook_" border="0" alt="_texticonopenbook_">}
_iconopenbook_ [version=text] {<small><b>_texticonopenbook_: </b></small>}

_iconopenbookshelf_ {<img src="_httpiconbshelf_" border=0 width=_widthbshelf_ height=_heightbshelf_ alt="_texticonopenbookshelf_">}
_iconopenbookshelf_ [version=text] {<small><b>_texticonopenbookshelf_: </b></small>}

_iconclosedbookshelf_ {<img src="_httpiconbshelf_" border="0" width="_widthbshelf_" height="_heightbshelf_" alt="_texticonclosedbookshelf_">}
_iconclosedbookshelf_ [version=text] {<small><b>_texticonclosedbookshelf_: </b></small>}

_iconpointer_ {<img src="_httpiconarrrght_" border=0 width=_widtharrrght_ height=_heightarrrght_>}
_iconpointer_ [version=text] {<small><b>_texticonpointer_-> </b></small>}

_icontab_ {<img src="_httpicontabspace_" width="_widthtabspace_" height="_heighttabspace_">}

_iconcontracttoc_ {<img name="concon" src="_httpiconeconcof_" width="_widtheconcx_" height="_heighteconcof_" alt="_texticoncontracttoc_" border="0">}
_iconcontracttoc_[version=text] {_texticoncontracttoc_}

_iconexpandtoc_ {<img name="expcon" src="_httpiconeexpcof_" width="_widtheexpx_" height="_heighteexpcx_" alt="_texticonexpandtoc_" border="0">}
_iconexpandtoc_[version=text] {_texticonexpandtoc_}

_iconcontracttext_ {<img name="thissec" src="_httpiconetsecof_" width="_widthetsecx_" height="_heightetsecx_" alt="_texticoncontracttext_" border="0">}
_iconcontracttext_[version=text] {_texticoncontracttext_}

_iconexpandtext_ {<img name="alltext" src="_httpiconealltof_" width="_widthealltx_" height="_heightealltx_" alt="_texticonexpandtext_" border="0">}
_iconexpandtext_[version=text] {_texticonexpandtext_}

_icondetach_ {<img name="detach" src="_httpiconedtchof_" width="_widthedtchx_" height="_heightedtchx_" alt="_texticondetach_" border="0">}
_icondetach_[version=text] {_texticondetach_}

_iconwarning_ {<img src="_httpiconwarning_" width="_widthwarning_" height="_heightwarning_" border="0" align="left">}
_iconwarning_ [version=text] {_texticonwarning_}

_iconcont_ {<img name="cont" src="_httpiconcontoff_" width="_widthcontx_" height="_heightcontx_" border="0">}
_iconcont_ [version=text] {_texticoncont_}

_iconglobhelp_ {<img src="_httpiconglob_" width="_widthglob_" height="_heightglob_" alt="_texticonglobhelp_" border="0">}
_iconglobhelp_ [version=text] {_texticonglobhelp_} 


#######################################################################
# Image links 
#
# These might include a link (not like an _icon_
#######################################################################


_imageabout_ {<a href="_httppageabout_" 
    onMouseover = "img\_on('about')" 
    onMouseout = "img\_off('about')"><img name="about"
        src="_httpicontaboutof_" width=_widthtaboutx_ height=_heighttaboutx_
        border=0 alt="_textimageabout_"></a>}

_imageabout_[version=text] {
<a href="_httppageabout_">_textimageabout_</a>
}

_imagehome_ {<a href="_httppagehome_" 
    onMouseover = "img\_on('home')" 
    onMouseout = "img\_off('home')"><img name="home"
        src="_httpiconchomeof_" width="_widthchomex_" height="_heightchomex_"
        border="0" alt="_textimagehome_"></a>}

_imagehome_[version=text] {
<a href="_httppagehome_">_textimagehome_</a>
}


_imagehelp_ {<a href="_httppagehelp_"
    onMouseover = "img\_on('help')" 
    onMouseout = "img\_off('help')"><img name="help" 
        src="_httpiconchelpof_" width="_widthchelpx_" height="_heightchelpx_" 
        border="0" alt="_textimagehelp_"></a>}

_imagehelp_[version=text] {
<a href="_httppagehelp_">_textimagehelp_</a>
}


_imagepref_ {<a href="_httppagepref_"
    onMouseover = "img\_on('pref')" 
    onMouseout = "img\_off('pref')"><img name="pref" 
        src="_httpiconcprefof_" width="_widthcprefx_" height="_heightcprefx_" border="0" alt="_textimagepref_"></a>}

_imagepref_[version=text] {
<a href="_httppagepref_">_textimagepref_</a>
}
_imagepref_[style=htmlonly] {}


_imagegreenstone_ {<a href="_httpgreenstone_"><img src="_httpicongsdl_" width="_widthgsdl_" height="_heightgsdl_" border="0" alt="_textimagegreenstone_" hspace=0></a>
}

_imagegreenstone_[version=text] {
<a href="_httpgreenstone_">_textimagegreenstone_</a>
}


_imageglobhelp_ {<a href="_httppagex_(globhelp)">_iconglobhelp_</a>
}


_imagedetach_ {<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_" onMouseover = "img\_on('detach')"
onMouseout = "img\_off('detach')">_icondetach_</a>}
_imagedetach_[version=text] {<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_">_texticondetach_</a><br>}

_imagecontracttoc_ {" onMouseover = "img\_on('concon')"
onMouseout = "img\_off('concon')">_iconcontracttoc_</a>}
_imagecontracttoc_[version=text] {">_texticoncontracttoc_</a><br>}
_imagecontracttoc_[style=htmlonly] {}

_imageexpandtoc_ {" onMouseover = "img\_on('expcon')"
onMouseout = "img\_off('expcon')">_iconexpandtoc_</a>}
_imageexpandtoc_ [version=text] {">_texticonexpandtoc_</a><br>}
_imageexpandtoc_ [style=htmlonly] {}

_imagecontracttext_ {0" onMouseover = "img\_on('thissec')"
onMouseout = "img\_off('thissec')">_iconcontracttext_</a>}
_imagecontracttext_[version=text] {0">display only current section</a><br>}
_imagecontracttext_[style=htmlonly] {}

_imageexpandtext_ {1" onMouseover = "img\_on('alltext')"
onMouseout = "img\_off('alltext')">_iconexpandtext_</a>}
_imageexpandtext_[version=text] {1">display all text</a><br>}
_imageexpandtext_[style=htmlonly] {}

_imagecont_ {onMouseover = "img\_on('cont')"
onMouseout = "img\_off('cont')">_iconcont_</a>
}
_imagecont_[version=text] {>_texticoncont_</a><br>}



################################
# English Macros               #
################################

_textimagecollection_ {}
_textimageabout_ {About page}
_textimagehome_ {Home page}
_textimagehelp_ {Help page}
_textimagepref_ {Preferences page}
_textimagegreenstone_ {Greenstone Digital Library Software}

_textimagesearch_ {Search for specific terms}
_textimagebrowsetitles_ {Browse alphabetical list of titles}
_textimagebrowseauthors_ {Browse alphabetical list of authors}
_textimagebrowseseries_ {Browse newspapers by issue}
_textimagebrowsedates_ {Browse newspapers by date}
_textimagebrowsesubjects_ {Browse by subject category}
_textimagebrowseorg_ {Browse by organization}
_textimagebrowsehow_ {Browse how to categories}

_textgotext_ {View this page in text format}
_textgographics_ {View this page in graphics format}

_texticontabsearchgreen_{Search}
_texticontabdategreen_{Dates}
_texticontabseriesgreen_{Series}
_texticontabauthorgreen_{Authors A-Z}
_texticontabtitlegreen_{Titles A-Z}
_texticontabsubjectgreen_{Subjects}
_texticontaborggreen_{Organization}
_texticontabhowgreen_{How to}
_texticontext_ {View the document}
_texticonopenbookshelf_ {close this section of the library}
_texticonclosedbookshelf_ {open this section of the library and view contents}
_texticonclosedbook_ {open this book and view contents}
_texticonopenbook_ {close this book}
_texticonclosedfolder_ {Open this folder and view contents}
_texticonclosedfolder2_ {open sub-section: }
_texticonopenfolder_ {close this folder}
_texticonopenfolder2_ {close sub-section: }
_texticonsmalltext_ {View this section of the text}
_texticonsmalltext2_ {view text: }
_texticonpointer_ {current section}
_texticondetach_ {Open this page in a new window}
_texticoncontracttoc_ {Collapse table of contents}
_texticonexpandtoc_ {Expand table of contents}
_texticonexpandtext_ {Display all text}
_texticoncontracttext_ {Display text only for currently selected section}
_texticonglobhelp_ {Global Help Projects}

_texticonwarning_ {<b>Warning: </b>}
_texticoncont_ {continue?}
_textnext_ {to next section of book}
_textnext2_ {view next section}
_textnext3_ {to next alphabetical section}
_textnext4_ {next section}
_textprev_ {to previous section of book}
_textprev2_ {view previous section}
_textprev3_ {to previous alphabetical section}
_textprev4_ {previous section}

_page_ {page}
_of_ {of}
_vol_ {Volume}
_num_ {Number}

_jan_ {January}
_feb_ {February}
_mar_ {March}
_apr_ {April}
_may_ {May}
_jun_ {June}
_jul_ {July}
_aug_ {August}
_sep_ {September}
_oct_ {October}
_nov_ {November}
_dec_ {December}


_textgomaori_ {Tirohia t&euml;nei wh&auml;rangi i te reo M&auml;ori}
_textgoenglish_ {change to English language version}

################################
# Maori Macros                 #
################################

_textimagehelp_ [language=mi] {Te wh&auml;rangi whakam&auml;rama}
_textimagepref_ [language=mi] {Te wh&auml;rangi o ng&auml; whiriwhiringa}
_textimagehome_ [language=mi] {Te wh&auml;rangi k&auml;inga}
_textimagesearch_ [language=mi] {rapua he kupu}
_textimagebrowseseries_ [language=mi] {Tirohia te whakar&auml;rangi o ng&auml; niupepa}
_textimagebrowsedates_ [language=mi] {Tirohia te w&auml; i puta mai ai ng&auml; niupepa}

_textgotext_ [language=mi] {Tirohia t&euml;nei wh&auml;rangi i te takotoranga text}
_page_ [language=mi] {wh&auml;rangi}
_vol_ [language=mi] {Pukapuka}
_num_ [language=mi] {Nama}
_jan_ [language=mi] {Hanuere}
_feb_ [language=mi] {Pepuere}
_mar_ [language=mi] {Maehe}
_apr_ [language=mi] {Aperira}
_may_ [language=mi] {Mei}
_jun_ [language=mi] {Hune}
_jul_ [language=mi] {Hurae}
_aug_ [language=mi] {Akuhata}
_sep_ [language=mi] {Hepetema}
_oct_ [language=mi] {Oketopa}
_nov_ [language=mi] {Noema}
_dec_ [language=mi] {Tihema}
_of_ [language=mi] {i te}


_texticontabsearchgreen_ [language=mi] {rapu}
_texticontabdatesgreen_ [language=mi] {w&auml;taka}
_texticontabseriesgreen_ [language=mi] {whakar&auml;rangi niupepa}
_texticondetach_ [language=mi] {Huakina mai he matapihi hou m&ouml; t&euml;nei k&ouml;rero}
_texticonexpandtext_ [language=mi] {Titiro ki ng&auml; kupu katoa o t&euml;nei niupepa}
_texticoncontracttext_ [language=mi] {Titiro ki ng&auml; kupu o t&euml;nei wh&auml;rangi anake}
_textnext_ [language=mi] {titiro ki te wh&auml;rangi o muri}
_textprev_ [language=mi] {titiro ki te wh&auml;rangi o mua}
_texticontext_ [language=mi] {Tirohia te wh&auml;rangi}
_texticonopenbookshelf_ [language=mi] {k&auml;tia}
_texticonclosedbookshelf_ [language=mi] {whakat&uuml;whera mai}
_texticonclosedbook_ [language=mi] {whakat&uuml;whera mai}
_texticonopenbook_ [language=mi] {k&auml;tia}
_texticonpointer_ [language=mi] {w&auml;hanga e tiro ana}