/**********************************************************************
 *
 * browse.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: browse.h 124 1999-01-21 21:20:15Z sjboddie $
 *
 *********************************************************************/


#ifndef BROWSE_H
#define BROWSE_H


#include "text_t.h"
#include "gdbmclass.h"
#include "cgiargs.h"

class browseclass 
{
  
public:

  browseclass () {}
  virtual ~browseclass () {}

  virtual void get_browse_bar(const text_t &targetdoc, text_t &return_text);
  virtual void get_top_locator(cgiargsclass &/*args*/, gdbmclass &/*gdbm*/, int /*oversize*/, 
			       text_t &/*return_text*/) {}
  virtual void get_links(cgiargsclass &args, gdbmclass &gdbm, text_t &return_text);
  virtual void get_contents_arr(const text_t &targetdoc, gdbmclass &gdbm, vector<text_t> &contents_arr);

protected:

  virtual void get_list_toc (vector<text_t> &secarray, gdbmclass &gdbm, text_t &return_text);
  virtual void get_page_toc (cgiargsclass &args, const text_t &booksection, 
			     const text_t &classification, const text_t &class_string,
			     gdbmclass &gdbm, text_t &return_text);
  virtual void get_standard_toc(cgiargsclass &args, text_t &booksection, 
				const text_t &classification, gdbmclass &gdbm, 
				text_t &return_text);
  virtual void get_expanded_toc(cgiargsclass &args, text_t &booksection, 
				const text_t &classification, gdbmclass &gdbm, 
				text_t &return_text);
  virtual void get_parents_toc (cgiargsclass &args, const vector<text_t> &parents,
				gdbmclass &gdbm, int &tabcount, int &colnum,
				text_t &return_text);
  virtual void get_siblings_toc (cgiargsclass &args, const vector<text_t> &siblings, 
				 gdbmclass &gdbm, const text_t &booksection, 
				 const text_t &classification, int &tabcount, 
				 int &colnum, text_t &return_text);
  virtual void get_alphabet_links (const text_t &classification, 
				   const text_t &booksection, gdbmclass &gdbm, 
				   text_t &return_text);
  virtual void get_arrows(text_t &docref, gdbmclass &gdbm, 
			  text_t &arrows);
  virtual void get_prev_next_links (text_t docref, text_t &previous, text_t &next);
  virtual void get_contents (text_t expandlevel1, gdbmclass &gdbm, 
			     vector<text_t> &contents, int &totalcols);
  virtual void sort_array (vector<text_t> &array, gdbmclass &gdbm, const text_t classification);
};


#endif
