/**********************************************************************
 *
 * htmlgen.cpp -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: htmlgen.cpp 158 1999-02-11 01:24:06Z rjmcnab $
 *
 *********************************************************************/

/*
   $Log$
   Revision 1.3  1999/02/11 01:24:04  rjmcnab

   Fixed a few compiler warnings.

   Revision 1.2  1999/02/08 01:28:02  rjmcnab

   Got the receptionist producing something using the statusaction.

   Revision 1.1  1999/01/08 08:40:56  rjmcnab

   Moved from lib directory.

   Revision 1.1  1999/01/08 03:57:46  rjmcnab

   Initial revision

 */

#include "htmlgen.h"
#include "unitool.h"

#if defined(GSDL_USE_OBJECTSPACE)
#  include <ospace\std\map>
#elif defined(GSDL_USE_STL_H)
#  include <map.h>
#else
#  include <map>
#endif



// highlighttext highlights query terms in text string and 
// outputs the resulting text string
void highlighttext (text_tarray &termvars, displayclass &disp, text_t &text,
		    outconvertclass &outconvert, ostream &textout, ostream &/*logout*/) {
  map<text_t, int, lttext_t> terms;
  map<text_t, int, lttext_t>::const_iterator it;
  for (unsigned int i = 0; i < termvars.size(); i++) {
    terms[termvars[i]] = 1;
  }

  // get the text to start and end a hightlight
  text_t starthighlight = "<b><u>";
  text_t endhighlight = "</u></b>";
  if (disp.isdefaultmacro("Global", "starthighlight"))
    disp.expandstring("Global", "_starthighlight_", starthighlight);
  if (disp.isdefaultmacro("Global", "endhighlight"))
    disp.expandstring("Global", "_endhighlight_", endhighlight);


  text_t::iterator here = text.begin(); 
  text_t::iterator end = text.end();
  text_t word, buffer;
  while (here != end) {
    if (is_unicode_letdig(*here)) {
      // not word boundary
      word.push_back(*here);
      here++;

    } else {
      // found word boundary
      // add last word if there was one
      if (!word.empty()) {
	it = terms.find(word);
	if (it != terms.end()) {
	  word = starthighlight + word + endhighlight;
	}
	buffer += word;
        word.clear();
      }

      if (*here == '<') {
        // skip over rest of html tag
	while ((here != end) && (*here != '>')) {
	  buffer.push_back(*here);
	  here++;
	}
      }

      buffer.push_back(*here);
      here++;

      if (buffer.size() > 1024) {
	textout << outconvert << buffer;
	buffer.clear();
      }
    }
  }
  textout << outconvert << buffer;
}


